Bug 123620 - New Port: devel/p5-ZML A simple, fast, and easy to read binary data storage format.
Summary: New Port: devel/p5-ZML A simple, fast, and easy to read binary data storage ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-13 01:50 UTC by Zane C. Bowers-Hadley
Modified: 2008-05-30 22:50 UTC (History)
0 users

See Also:


Attachments
devel_p5-ZML.shar (1.88 KB, text/plain)
2008-05-13 01:50 UTC, Zane C. Bowers-Hadley
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zane C. Bowers-Hadley 2008-05-13 01:50:01 UTC

A simple, fast, and easy to read binary data storage format. It allows for
comments and meta data as well.


WWW: http://search.cpan.org/~vvelox/ZML-0.2.0/lib/ZML.pm

How-To-Repeat: 

1: unshar into ports directory
2:
3: install
4: enjoy
5: There is no step two.
Comment 1 Edwin Groothuis freebsd_committer 2008-05-13 01:50:08 UTC
Class Changed
From-To: sw-bug->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Zane C. Bowers-Hadley 2008-05-14 22:40:56 UTC
On Tue, 13 May 2008 00:50:01 GMT
FreeBSD-gnats-submit@FreeBSD.org wrote:

> Thank you very much for your problem report.
> It has the internal identification `ports/123620'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs. 
> 
> You can access the state of your problem report at any time
> via this link:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=123620
> 
> >Category:       ports
> >Responsible:    freebsd-ports-bugs
> >Synopsis:       New Port: devel/p5-ZML  A simple, fast, and easy
> >to read binary data storage format. Arrival-Date:   Tue May 13
> >00:50:01 UTC 2008


After finding some various bugs with it, I have updated it to 0.4.0. I have
uploaded it to CPAN and it should be available from there shortly.

--- distinfo.orig       2008-05-14 16:36:26.000000000 -0500
+++ distinfo    2008-05-14 16:37:05.000000000 -0500
@@ -1,3 +1,3 @@
-MD5 (ZML-0.2.0.tar.gz) = f1f46d87d49264e20056667117c4afbf
-SHA256 (ZML-0.2.0.tar.gz) = c111c4f05f02748bb2a6abdecbb3ad55790693811f85c4a751155c3e1f0f0b67
-SIZE (ZML-0.2.0.tar.gz) = 7350
+MD5 (ZML-0.4.0.tar.gz) = 6fb6bd7d83d4b6f3b1a33f5fc8fab267
+SHA256 (ZML-0.4.0.tar.gz) = bf9c45c235a5d5c28684297e4c8ad6feaa15dd1bbe601f9d3c12f40081706727
+SIZE (ZML-0.4.0.tar.gz) = 7476


--- Makefile.orig       2008-05-14 16:36:10.000000000 -0500
+++ Makefile    2008-05-14 16:36:21.000000000 -0500
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=      ZML
-PORTVERSION=   0.2.0
+PORTVERSION=   0.4.0
 CATEGORIES=    devel
 MASTER_SITES=  CPAN
 MASTER_SITE_SUBDIR=     ../../authors/id/V/VV/VVELOX
Comment 3 Martin Wilke freebsd_committer 2008-05-30 22:46:32 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 4 dfilter service freebsd_committer 2008-05-30 22:46:54 UTC
miwi        2008-05-30 21:46:49 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/p5-ZML         Makefile distinfo pkg-descr pkg-plist 
  Log:
  A simple, fast, and easy to read binary data storage format.
  It allows for comments and meta data as well.
  
  WWW: http://search.cpan.org/~vvelox/ZML-0.5.1/
  
  PR:             ports/123620
  Submitted by:   Zane C, Bowers <vvelox at vvelox.net>
  
  Revision  Changes    Path
  1.3073    +1 -0      ports/devel/Makefile
  1.1       +23 -0     ports/devel/p5-ZML/Makefile (new)
  1.1       +3 -0      ports/devel/p5-ZML/distinfo (new)
  1.1       +4 -0      ports/devel/p5-ZML/pkg-descr (new)
  1.1       +3 -0      ports/devel/p5-ZML/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"